body {
  margin: 0;
  background-color: var(--background-color);
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
  'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
  sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
  monospace;
}

:root {
  --primary-color: #0079bf;
  --secondary-color: #005a8e;
  --success-color: #54e054;
  --success-secondary: #1eac18;
  --background-color: #f5f5f5;
  --border-color: #ccc;
  --box-shadow-color: rgba(0, 0, 0, 0.1);
  --box-shadow-hover-color: rgba(0, 0, 0, 0.2);
  --text-color: #333;
  --text-secondary-color: #555;
  --button-text-color: #fff;
}

.container {
  max-width: 800px;
  margin: 20px auto;
  padding: 20px;
  background-color: var(--background-color);
  border-radius: 12px;
  box-shadow: 0 4px 8px var(--box-shadow-color);
}

form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

label {
  font-weight: bold;
  color: var(--text-color);
  font-size: 18px;
}

textarea {
  padding: 12px;
  margin-bottom: 10px;
  border: 1px solid var(--border-color);
  border-radius: 8px;
  resize: none;
  font-size: 16px;
  color: var(--text-color);
}

button {
  padding: 14px 28px;
  background-color: var(--primary-color);
  color: var(--button-text-color);
  border: none;
  border-radius: 8px;
  cursor: pointer;
  font-size: 18px;
  transition: background-color 0.2s ease;
}

button:hover {
  background-color: var(--secondary-color);
}

.board {
  max-width: 1200px;
  margin: 20px auto;
}

.card {
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px var(--box-shadow-color);
  padding: 20px;
  flex: 0 1 calc(33.33% - 20px);
  margin-bottom: 20px;
  position: relative;
  transition: box-shadow 0.2s ease;
}

.card:hover {
  box-shadow: 0 8px 16px var(--box-shadow-hover-color);
}

.card-title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
  color: var(--text-color);
}

.card-description {
  font-size: 16px;
  color: var(--text-color);
  margin-bottom: 15px;
}

.action-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 12px;
  cursor: pointer;
  background-color: var(--primary-color);
  color: var(--button-text-color);
  border: none;
  border-radius: 4px;
  padding: 5px 10px;
}

.action-btn:hover {
  background-color: var(--secondary-color);
}

.edit-btn {
  right: 60px;
}

.card.editing {
  border: 2px solid var(--primary-color);
  display: flex;
  flex-direction: column;
}

.card.editing .card-title,
.card.editing .card-description {
  display: none;
}

.card.editing .input-container {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 10px;
  margin-bottom: 10px;
}

.card.editing .input-container input,
.card.editing .input-container textarea {
  border: 1px solid var(--primary-color);
  border-radius: 4px;
  padding: 5px;
  color: var(--text-color);
}

.card.editing .input-container textarea {
  resize: vertical;
}

.card.editing .save-btn-container {
  display: flex;
  justify-content: flex-end;
}
